Skip to content

Get File Page Screenshot

JsonElement Pipelines.Images.GetPageScreenshot(ImageGetPageScreenshotParamsparameters, CancellationTokencancellationToken = default)
GET/api/v1/files/{id}/page_screenshots/{page_index}

Get screenshot of a page from a file.

ParametersExpand Collapse
ImageGetPageScreenshotParams parameters
required string id

Path param

formatuuid
required Long pageIndex

Path param

string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid

Get File Page Screenshot

ImageGetPageScreenshotParams parameters = new()
{
    ID = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    PageIndex = 0,
};

var response = await client.Pipelines.Images.GetPageScreenshot(parameters);

Console.WriteLine(response);
{}
Returns Examples
{}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/